Bug 171932 - Better update details needed
Better update details needed
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
: 173365 191690 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-10-27 17:46 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-11 17:13:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-10-27 17:46:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Epiphany/1.8.2

Description of problem:
I like to keep an eye on which package are coming from which yum repositories when updating: "Core" vs "Extras vs self-built from SRPM packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Run pup
2.  Observe cute little doggy


Actual Results:  "Updates Available" window contains long list of packages, with no indication of where they're coming from

Expected Results:  Suggest the list should be a tree view, with top level nodes representing the repos from which the packages are being grabbed, with the tree fully expanded by default.

Additional info:
Comment 1 Dave Malcolm 2005-10-27 17:49:06 EDT
Lots of useful information is getting printed to stdout (the repository, the
size etc) which might well be relevant to the GUI. 
Comment 2 Jeremy Katz 2005-10-27 18:00:40 EDT
Tree views are disasters for this sort of thing.

Ultimately -- why do you care where the software is coming from?  I can see it
_maybe_ being something that's worth displaying in the details but not in the
default view.

The default view is actually going to be changing more to be along the lines of
"Updated evolution packages available", "Updated fontconfig packages available"
-- at first, the grouping is going to be by srpm, but hopefully we'll get to
where we can actually use the actual update information instead from the update
system.  And then rawhide and repos without that metadata will fallback to the
srpm based version.
Comment 3 Jeremy Katz 2006-02-03 17:39:34 EST
*** Bug 173365 has been marked as a duplicate of this bug. ***
Comment 4 Luya Tshimbalanga 2006-02-19 18:02:11 EST
Speaking about details, it will be nice to get information about the size of
packages. It is especially true for anaconda as well because there is no way to
know the size of package before the installation. For example:

gimp-2.2.10  ---  10MB. 
Comment 5 Jeremy Katz 2006-05-15 13:48:26 EDT
*** Bug 191690 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Katz 2006-09-11 17:13:36 EDT
And with FC6, we'll have much better update details thanks to lmacken

Note You need to log in before you can comment on or make changes to this bug.